﻿using System;

namespace SilverlightXamScheduleApp.ViewModel
{
    public class ResourceCalendarInfo: BaseViewModel
    {

        #region Proeprties

        #region BaseColor
        private Nullable<int> _baseColor;

        public Nullable<int> BaseColor
        {
            get { return _baseColor; }
            set
            {
                _baseColor = value;
                OnPropertyChanged("BaseColor");
            }
        }
        #endregion //BaseColor

        #region Description
        private string _description;

        public string Description
        {
            get { return _description; }
            set
            {
                _description = value;
                OnPropertyChanged("Description");

            }
        }
        #endregion //Description

        #region Id
        private string _id;

        public string Id
        {
            get { return _id; }
            set
            {
                _id = value;
                OnPropertyChanged("Id");
            }

        }
        #endregion //Id

        #region IsVisible
        private string _isVisible;

        public string IsVisible
        {
            get { return _isVisible; }
            set
            {
                _isVisible = value;
                OnPropertyChanged("IsVisible");
            }
        }
        #endregion //IsVisible

        #region Name
        private string _name;

        public string Name
        {
            get { return _name; }
            set
            {
                _name = value;
                OnPropertyChanged("Name");
            }
        }
        #endregion //Name

        #region OwningResourceId
        private string _owningResourceId;

        public string OwningResourceId
        {
            get { return _owningResourceId; }
            set
            {
                _owningResourceId = value;
                OnPropertyChanged("OwningResourceId");
            }
        }
        #endregion //OwningResourceId

        #region UnmappedProperties
        private string _unmappedProperties;

        public string UnmappedProperties
        {
            get { return _unmappedProperties; }
            set { _unmappedProperties = value; }
        }
        #endregion //UnmappedProperties 

        #endregion //Proeprties

    }
}
